---
File: DEP-11
Version: '0.16'
Origin: tuxedo computers-forky-main
MediaBaseUrl: https://deb.tuxedocomputers.com/debian/appstream//media/forky
---
Type: generic
ID: com.tuxedocomputers.tuxedo-suite
Package: tuxedo-suite
Name:
  C: tuxedo-suite
Summary:
  C: Meta-package for recommended tuxedo packages
Description:
  C: >-
    <p>
            Installs tuxedo-control-center, tuxedo-repository and tuxedo-tomte-light.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.0
  type: stable
  unix-timestamp: 1765497600
  description:
    C: >-
      <p>Initial release</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-board-nh5xax
Package: tuxedo-board-nh5xax
Name:
  C: tuxedo-board-nh5xax
Summary:
  C: Meta-package for NH5xAx (XA15 Gen10)
Description:
  C: >-
    <p>
            Installs all required fixes for this device.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.0
  type: stable
  unix-timestamp: 1762905600
  description:
    C: >-
      <p>Initial release</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-tomte-light
Package: tuxedo-tomte-light
Name:
  C: tuxedo-tomte-light
Summary:
  C: Little helper service for updates and fixes for TUXEDO devices
Description:
  C: >-
    <p>
            TUXEDO Tomte Light is a modern, cross-distribution configuration tool designed to apply TUXEDO Fix Packages and
    Board Packages in a consistent, testable, and automated manner across multiple Linux distributions. Its primary focus
    is multi-distro support, WebFAI integration, and a minimal, well-defined CLI.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 0.2.0
  type: stable
  unix-timestamp: 1764806400
  description:
    C: >-
      <p>Add full functionality</p>
- version: 0.1.0
  type: stable
  unix-timestamp: 1762473600
  description:
    C: >-
      <p>Initial packaging</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-fix-krackan-point-usb4-suspend
Package: tuxedo-fix-krackan-point-usb4-suspend
Name:
  C: tuxedo-fix-krackan-point-usb4-suspend
Summary:
  C: Workaround for suspend problems with krackan point USB4 suspend.
Description:
  C: >-
    <p>
            Adds `processor.max_cstate=1` as kernel parameter.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.2
  type: stable
  unix-timestamp: 1764892800
  description:
    C: >-
      <p>Build package for multiple distros</p>
- version: 1.0.1
  type: stable
  unix-timestamp: 1760054400
  description:
    C: >-
      <p>Use simple-package-creator for packaging</p>
- version: 1.0.0
  type: stable
  unix-timestamp: 1739491200
  description:
    C: >-
      <p>Add grub.d file for problems with krackan point USB4 suspend.</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-fix-rescan-audio
Package: tuxedo-fix-rescan-audio
Name:
  C: tuxedo-fix-rescan-audio
Summary:
  C: Fix for missing audio cards.
Description:
  C: >-
    <p>
            Rescans the PCI-Bus during boot in order to load previously missing sound cards
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.0
  type: stable
  unix-timestamp: 1763337600
  description:
    C: >-
      <p>Initial package</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-repository
Package: tuxedo-repository
Name:
  C: tuxedo-repository
Summary:
  C: Configuration for automatic setup of TUXEDO package sources.
Description:
  C: >-
    <p>
            Sets up package mirrors for TUXEDO packages.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.0
  type: stable
  unix-timestamp: 1765497600
  description:
    C: >-
      <p>Initial package</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-board-ahp958
Package: tuxedo-board-ahp958
Name:
  C: tuxedo-board-ahp958
Summary:
  C: Meta-package for ahp958 (Sirius Gen2)
Description:
  C: >-
    <p>
            Installs all required fixes for this device.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.0
  type: stable
  unix-timestamp: 1763424000
  description:
    C: >-
      <p>Initial release</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-systeminfos
Package: tuxedo-systeminfos
Name:
  C: tuxedo-systeminfos
Summary:
  C: TUXEDO Systeminfos Script
Description:
  C: >-
    <p>
            Script from TUXEDO Computers to get necessary information of the system for technical support purposes.
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Provides:
  binaries:
  - tuxedo-systeminfos
  - tuxedo-systeminfos.sh
  - tuxedo-systeminfo.sh
  - tuxedo-systeminfo
  - systeminfos
  - systeminfos.sh
Releases:
- version: '20251117.2'
  type: stable
  unix-timestamp: 1763337600
  description:
    C: >-
      <p>Remove not working '$(basename $0)' and change '$1' to '$0'</p>
- version: '20251117.1'
  type: stable
  unix-timestamp: 1763337600
  description:
    C: >-
      <p>Remove 'SYSINFOS_DEBUG' due to bugs and less usage</p>
- version: '20251103.1'
  type: stable
  unix-timestamp: 1762128000
  description:
    C: >-
      <p>Use simple-package-creator for packaging</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-fix-xa15-core
Package: tuxedo-fix-xa15-core
Name:
  C: tuxedo-fix-xa15-core
Summary:
  C: Fix support for AMD Ryzen 9 3950X on TUXEDO Book XA15 Gen10/Clevo NH5xAx
Description:
  C: >-
    <p>
            Fix cpufreq on core 25-32 by replacing a broken ssdt2 ACPI table
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.1
  type: stable
  unix-timestamp: 1761696000
  description:
    C: >-
      <p>Use simple-package-creator</p>
- version: 1.0.0
  type: stable
  unix-timestamp: 1757289600
  description:
    C: >-
      <p>Initial release as package</p>
---
Type: generic
ID: com.tuxedocomputers.tuxedo-fix-nvidia-preserve-vram-suspend
Package: tuxedo-fix-nvidia-preserve-vram-suspend
Name:
  C: tuxedo-fix-nvidia-preserve-vram-suspend
Summary:
  C: Fixes graphic glitches/problems with VRAM after suspend.
Description:
  C: >-
    <p>
            Adds `nvidia.NVreg_PreserveVideoMemoryAllocations=1` and `nvidia.NVreg_TemporaryFilePath=/var/tmp` as Kernel Parameters
        </p>
ProjectLicense: GPL-2.0+
Url:
  homepage: https://gitlab.com/tuxedocomputers
Releases:
- version: 1.0.6
  type: stable
  unix-timestamp: 1765843200
  description:
    C: >-
      <p>Update grub during installation unconditionally</p>
- version: 1.0.5
  type: stable
  unix-timestamp: 1763337600
  description:
    C: >-
      <p>Don't update grub during installation when in chroot</p>
- version: 1.0.4
  type: stable
  unix-timestamp: 1762214400
  description:
    C: >-
      <p>Switch name to tuxedo-fix-nvidia-preserve-vram-suspend</p>
- version: 1.0.3
  type: stable
  unix-timestamp: 1762214400
  description:
    C: >-
      <p>Add `nvidia.NVreg_TemporaryFilePath=/var/tmp` to force writing on disk rather than on maybe as RAM mounted /tmp.</p>
